﻿$DateOfCapture = get-date -Format "MM/dd/yyyy HH:mm:ss"
$serverName = 'DESKTOP-JAL1J7S'
$databaseName = "AdminMonitor"
$tableName = "dbo.WindowsCountersCaptured"
$Connection = New-Object System.Data.SQLClient.SQLConnection
$Connection.ConnectionString = "server='$serverName';database='$databaseName';trusted_connection=true;"
$Connection.Open()
$Command = New-Object System.Data.SQLClient.SQLCommand
$Command.Connection = $Connection

$Counter = Get-Counter -counter "\System\Processor Queue Length"
$CV = $Counter.CounterSamples[0].CookedValue
$counterName = $Counter.CounterSamples[0].Path
  $insertquery="
  INSERT INTO $tableName
      (WindowsCounterName,CounterValue, DateTimeOfCapture)
    VALUES
      ('$counterName','$CV', '$DateOfCapture')"
  $Command.CommandText = $insertquery
  $Command.ExecuteNonQuery()

$Counter = Get-Counter -counter  "\PhysicalDisk(_Total)\Avg. Disk sec/Write"
$CV = $Counter.CounterSamples[0].CookedValue
$counterName = $Counter.CounterSamples[0].Path
  $insertquery="
  INSERT INTO $tableName
      (WindowsCounterName,CounterValue, DateTimeOfCapture)
    VALUES
      ('$counterName','$CV', '$DateOfCapture')"
  $Command.CommandText = $insertquery
  $Command.ExecuteNonQuery()


$Counter = Get-Counter -counter  "\PhysicalDisk(_Total)\Avg. Disk sec/Read"
$CV = $Counter.CounterSamples[0].CookedValue
$counterName = $Counter.CounterSamples[0].Path
  $insertquery="
  INSERT INTO $tableName
      (WindowsCounterName,CounterValue, DateTimeOfCapture)
    VALUES
      ('$counterName','$CV', '$DateOfCapture')"
  $Command.CommandText = $insertquery
  $Command.ExecuteNonQuery()



$Counter = Get-Counter -counter  "\Paging File(_Total)\% Usage"
$CV = $Counter.CounterSamples[0].CookedValue
$counterName = $Counter.CounterSamples[0].Path
  $insertquery="
  INSERT INTO $tableName
      (WindowsCounterName,CounterValue, DateTimeOfCapture)
    VALUES
      ('$counterName','$CV', '$DateOfCapture')"
  $Command.CommandText = $insertquery
  $Command.ExecuteNonQuery()


$Counter = Get-Counter -counter  "\Memory\Available MBytes"
$CV = $Counter.CounterSamples[0].CookedValue
$counterName = $Counter.CounterSamples[0].Path
  $insertquery="
  INSERT INTO $tableName
      (WindowsCounterName,CounterValue, DateTimeOfCapture)
    VALUES
      ('$counterName','$CV', '$DateOfCapture')"
  $Command.CommandText = $insertquery
  $Command.ExecuteNonQuery()


$Counter = Get-Counter -counter  "\SQLServer:Buffer Manager\buffer cache hit ratio"
$CV = $Counter.CounterSamples[0].CookedValue
$counterName = $Counter.CounterSamples[0].Path
  $insertquery="
  INSERT INTO $tableName
      (WindowsCounterName,CounterValue, DateTimeOfCapture)
    VALUES
      ('$counterName','$CV', '$DateOfCapture')"
  $Command.CommandText = $insertquery
  $Command.ExecuteNonQuery()



$Counter = Get-Counter -counter  "\Processor(_Total)\% Processor Time"
$CV = $Counter.CounterSamples[0].CookedValue
$counterName = $Counter.CounterSamples[0].Path
  $insertquery="
  INSERT INTO $tableName
      (WindowsCounterName,CounterValue, DateTimeOfCapture)
    VALUES
      ('$counterName','$CV', '$DateOfCapture')"
  $Command.CommandText = $insertquery
  $Command.ExecuteNonQuery()

$Connection.Close();

